Skip to main content
GET
/
variants
List Variants
curl --request GET \
  --url https://api.example.com/variants \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "parent_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_baseline": true,
    "notes": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

candidate_id
string<uuid>
required

Filter to a single candidate

Response

Successful Response

id
string<uuid>
required
candidate_id
string<uuid>
required
name
string
required
parent_variant_id
string<uuid> | null
required
parent_job_id
string<uuid> | null
required
is_baseline
boolean
required
notes
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required